Bug 219287 - games/critterding: fails to build with lang/gcc6 or later
Summary: games/critterding: fails to build with lang/gcc6 or later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks: 219275
  Show dependency treegraph
 
Reported: 2017-05-14 21:56 UTC by Jan Beich
Modified: 2017-08-17 18:57 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback-
rakuco: merge-quarterly+


Attachments
Proposed patch (1.08 KB, patch)
2017-07-28 12:26 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-14 21:56:12 UTC
brainz.cpp: In member function 'void Brainz::processTillAnswer()':
brainz.cpp:140:24: error: cannot convert 'bool' to 'bool*' in assignment
    Outputs[i].output = false;
                        ^~~~~

build log: http://sprunge.us/eeKR
Comment 1 Raphael Kubo da Costa freebsd_committer 2017-07-28 12:26:55 UTC
Created attachment 184796 [details]
Proposed patch

The attached patch fixes an actual bug in the code and lets it build with GCC 6.
Comment 2 commit-hook freebsd_committer 2017-08-13 11:04:21 UTC
A commit references this bug:

Author: rakuco
Date: Sun Aug 13 11:04:07 UTC 2017
New revision: 447874
URL: https://svnweb.freebsd.org/changeset/ports/447874

Log:
  Add patch to fix a wrong assignment in the code.

  In addition to fixing an actual bug, this also allows the port to build with
  GCC 6:

  brainz.cpp: In member function 'void Brainz::processTillAnswer()':
  brainz.cpp:140:24: error: cannot convert 'bool' to 'bool*' in assignment
      Outputs[i].output = false;

  PR:		219287
  Approved by:	maintainer timeout (amdmi3, 16 days)
  MFH:		2017Q3

Changes:
  head/games/critterding/files/patch-src_brainz_brainz.cpp
Comment 3 commit-hook freebsd_committer 2017-08-13 11:06:25 UTC
A commit references this bug:

Author: rakuco
Date: Sun Aug 13 11:05:25 UTC 2017
New revision: 447875
URL: https://svnweb.freebsd.org/changeset/ports/447875

Log:
  Bump PORTREVISION after r447874.

  The new patch changes the code, this should have been committed together with
  the previous change.

  PR:		219287
  MFH:		2017Q3

Changes:
  head/games/critterding/Makefile
Comment 4 commit-hook freebsd_committer 2017-08-17 16:00:02 UTC
A commit references this bug:

Author: rakuco
Date: Thu Aug 17 15:58:55 UTC 2017
New revision: 448133
URL: https://svnweb.freebsd.org/changeset/ports/448133

Log:
  MFH: r447874

  Add patch to fix a wrong assignment in the code.

  In addition to fixing an actual bug, this also allows the port to build with
  GCC 6:

  brainz.cpp: In member function 'void Brainz::processTillAnswer()':
  brainz.cpp:140:24: error: cannot convert 'bool' to 'bool*' in assignment
      Outputs[i].output = false;

  PR:		219287
  Approved by:	maintainer timeout (amdmi3, 16 days)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/games/critterding/files/patch-src_brainz_brainz.cpp
Comment 5 commit-hook freebsd_committer 2017-08-17 16:01:06 UTC
A commit references this bug:

Author: rakuco
Date: Thu Aug 17 16:00:06 UTC 2017
New revision: 448134
URL: https://svnweb.freebsd.org/changeset/ports/448134

Log:
  MFH: r447875

  Bump PORTREVISION after r447874.

  The new patch changes the code, this should have been committed together with
  the previous change.

  PR:		219287

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/games/critterding/Makefile
Comment 6 Gerald Pfeifer freebsd_committer 2017-08-17 18:57:13 UTC
I don't think this should be actually merger quarterly.  The issue
only presents itself when the default is switched to GCC 6 -- which
really does not make sense on a quartlerly branch.